

This is a multi-part message in MIME format.
--------------010602090000040706000808
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

Hi Andrew,

I overlooked that ptrinfo is also compiled if DEBUG is 0. Thus 
nondebug-slab dooes not link right now because dbg_redzone{1,2} is missing.
The attached patch fixes that. Sorry for not noticing it immediately - 
the usual last second change before submitting a new patch.

--
    Manfred

--------------010602090000040706000808
Content-Type: text/plain;
 name="patch-slab-dbgfix"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="patch-slab-dbgfix"



 25-akpm/mm/slab.c |   15 +++++++++++++++
 1 files changed, 15 insertions(+)

diff -puN mm/slab.c~slab-debug-additions-fix mm/slab.c
--- 25/mm/slab.c~slab-debug-additions-fix	Thu Sep 11 10:49:27 2003
+++ 25-akpm/mm/slab.c	Thu Sep 11 10:49:27 2003
@@ -410,6 +410,21 @@ static inline int obj_reallen(kmem_cache
 {
 	return cachep->objsize;
 }
+static inline unsigned long *dbg_redzone1(kmem_cache_t *cachep, void *objp)
+{
+	BUG();
+	return 0;
+}
+static inline unsigned long *dbg_redzone2(kmem_cache_t *cachep, void *objp)
+{
+	BUG();
+	return 0;
+}
+static inline void **dbg_userword(kmem_cache_t *cachep, void *objp)
+{
+	BUG();
+	return 0;
+}
 #endif
 
 /*

_
